<?php

namespace backend\controllers;
use Yii;
use backend\models\User;
use backend\models\Api;
use backend\models\Import;
use app\myclass\telefoneValidator;
use backend\models\ForgotPassword;
use backend\models\ResetPasswordForm;
use backend\models\Country;
use backend\models\UserSearch;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\web\UploadedFile;
use yii\helpers\Url;

class UserController extends Controller {
    /**
     * @inheritdoc
     */
    public function behaviors() {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                ],
            ],
        ];
    }

    public function actionIndex() {
        //update user data using ajax..
        $userModel = new User();
        if(isset($_GET['id']) && $_GET['id'] != ''){
            $updateData = $userModel->updatedata();
        }
         //End update user data using ajax..
        $searchModel = new UserSearch();
        $dataProvider = $searchModel->search(Yii::$app->request->queryParams);
        return $this->render('index', [
                    'searchModel' => $searchModel,
                    'dataProvider' => $dataProvider,
        ]);
    }
    public function actionView($id) {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
    public function actionCreate() {
        $model = new User();
        if ($model->load(Yii::$app->request->post())) {
            if ($user = $model->adduser()) {
                Yii::$app->session->setFlash('success', 'User Added Successfully..');
                return $this->redirect(['index', 'id' => $model->id]);
            }
        }
        return $this->render('create', [
                    'model' => $model,
//                    'model' => $model,
        ]);
    }
    public function actionDelete($id) {
        $this->findModel($id)->delete();
        Yii::$app->session->setFlash('success', 'User Deleted Successfully..');
        return $this->redirect(['index']);
    }
    protected function findModel($id) {
        if (($model = User::findOne($id)) !== null) {
            return $model;
            //echo "<pre>";print_r($model);exit;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }  
      public function actionUpdate($id)
        {
            $model = $this->findModel($id);
            if ($model->load(Yii::$app->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->id]);
            } else {
                return $this->render('update', [
                    'model' => $model,
                ]);
            }
        }
        
          /**
     * Requests password reset.
     *
     * @return mixed
     */
        public function actionForgotPassword() {
        $this->layout = 'login';
        
        $model = new ForgotPassword();

        if (isset($_POST['email']) && $_POST['email'] != '') {
            $model->requestResetPassword($_POST['email']);
        }
        return $this->render('forgotPassword');
    }

    /**
     * Resets password.
     *
     * @param string $token
     * @return mixed
     * @throws BadRequestHttpException
     */
    public function actionResetPassword($token) {
        $this->layout = 'login';

        $userCount = (new \yii\db\Query())
                ->from('user')
                ->where(['password_reset_token' => $token])
                ->count();
        if ($userCount <= 0) {
            Yii::$app->session->setFlash('error', 'Your password reset link is expired.');
            return $this->render('resetPassword');
        }
        try {
            $model = new ResetPasswordForm($token);
        } catch (InvalidParamException $e) {
            throw new BadRequestHttpException($e->getMessage());
        }
        if (isset($_POST['newPassword']) && $_POST['newPassword'] != '') {
            if ($model->resetPassword()) {
                Yii::$app->session->setFlash('success', 'Your Password reset successfully. Please login with new password.');
                return $this->render('resetPassword');
            }
        }

        return $this->render('resetPassword', [
                    'model' => $model,
        ]);
    }

    function actionUnauthorizedAccess() {
        return $this->render('unauthorized-access');
    }
    public function actionImport() {
      // return $this->render('importUserdata'); 
    }
    
    public function actionImportUserData() {
        $model1 = new Import();
        
        if ($model1->load(Yii::$app->request->post())) {
            $model1->imageFile = UploadedFile::getInstance($model1, 'excelfile');
            //echo "<pre>";print_r($model1->imageFile);
            if ($model1->upload()) {
                // file is uploaded successfully
               // return;
            }
        }
        return $this->render('importUserdata', ['model1' => $model1]);
    }
    
    
    
}
