<?php
namespace backend\models;

use Yii;
use yii\base\Model;
use common\models\User;
use yii\base\ErrorException;


class Api extends Model
{
    public static function tableName()
    {
            return 'user';
    }
    public function rules()
    {
        return [
//            [['name', 'username', 'email'], 'required']
        ];
    }
   
    public function login($loginData) {
        $email = $loginData['email'];
        $password = $loginData['password'];
        $user = (new \yii\db\Query())
                ->from('user')
                ->where('(email="' . $email . '" OR password_hash = "' . $password . '")')
                ->one();
        return $user;
    }
    
    public function registerUser($userData) {
        $response = array();
        $email = $userData['email'];
        $username = $userData['username'];
        if ($email != '' && $username != '') {
            $useremail = (new \yii\db\Query())
                    ->from('user')
                    ->where(['email' => $email])
                    ->count();
            $username = (new \yii\db\Query())
                    ->from('user')
                    ->where(['username' => $username])
                    ->count();
            if ($username > 0) {
                $response['status'] = "0";
                $response['message'] = "Username already exist.";
                echo json_encode($response, JSON_PRETTY_PRINT);
                exit;
            } else if ($useremail > 0) {
                $response['status'] = "0";
                $response['message'] = "A user with email address " . $userData['email'] . " already exist. Please try using another email.";
                echo json_encode($response, JSON_PRETTY_PRINT);
                exit;
            } else {
                Yii::$app->db->createCommand()->insert('user', ['email' => $userData['email'], 'username' => $userData['username'], 'password_hash' => $userData['password_hash'],'status' => '10','auth_key' => $userData['auth_key'], 'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')])->execute();
              return Yii::$app->db->getLastInsertID();
            }
        }
    }
    
    public function savefeedback($feedbackData) {
        $response = array();
        if (!empty($feedbackData)) {
                Yii::$app->db->createCommand()->insert('feedback', ['user_email' => $feedbackData['user_email'], 'subject' => $feedbackData['subject'], 'message' => $feedbackData['message'],'created_at' => date('Y-m-d H:i:s'), 'updated_at' => date('Y-m-d H:i:s')])->execute();
           return Yii::$app->db->getLastInsertID();
        }
    }
    
    public function UpdateUserData($data, $id) {
        //echo "<pre>";print_r($data);
        Yii::$app->db->createCommand()->update('user', ['password_hash' => $data['password_hash']], 'id=' . $id)->execute();
        return TRUE;
    }
    public function getUserByemail($email) {
        $userData= (new \yii\db\Query())
                ->from('user')
                ->where('email="'.$email.'"')
                ->one();
        if(!empty($userData)) {
            return $userData;
        } else {
            return false;
        }
    }
    
    public function resetPassword($userID,$key) {
        Yii::$app->db->createCommand()->update('user', ['password_reset_token' => $key], 'id=' . $userID)->execute();
        return TRUE;
    }
    public function logout($token) {
        Yii::$app->db->createCommand()->delete('device_tokens', 'deviceToken="'. $token .'"')->execute();
         return TRUE;
    }
    public function findnearbylocation($retainedData) {
        $lat =  $retainedData['Latitude'];
        $lng =  $retainedData['Longitude'];
        
        $findLocation = (new \yii\db\Query())->SELECT ("*, ( 3959 * acos( cos( radians(".$lat.") ) * cos( radians( Latitude ) ) * cos( radians( Longitude ) - radians(".$lng.") ) + sin( radians(".$lat.") ) * sin(radians(Latitude)) ) ) AS distance FROM user_retained HAVING distance < 25 ORDER BY distance");
      $nearbyLocation = $findLocation->all();  
      if(!empty($nearbyLocation)) {
        return $nearbyLocation;
      } else {
          return FALSE;
      }
      
    }
    
    public function savepaymentdata($paymentData) {
        $userId = $paymentData['user_id'];
        $transactionId = $paymentData['transaction_id'];
        Yii::$app->db->createCommand()->update('user', ['transaction_id' => $transactionId], 'id=' . $userId)->execute();
        return TRUE;  
    }
    
    public function getStatusCodeMessage() {
        $codes = Array(
            200 => 'OK.',
            400 => 'Bad Request.',
            401 => 'Unauthorized User.',
            402 => 'Payment Required.',
            403 => 'Forbidden.',
            404 => 'Record Not Found.',
            500 => 'Internal Server Error.',
            501 => 'Not Implemented.',
        );
        return $codes;
    }
    
    public function requestResetPassword1($email) {

        $userarr = User::findOne([
                    'status' => User::STATUS_ACTIVE,
                    'email' => $email,
        ]);

        if (!$userarr) {
                $response['status'] = "0";
                $response['message'] = "Sorry, we could not find this email address in our records; please try again or contact our support.";
                echo json_encode($response, JSON_PRETTY_PRINT);
                exit;
        }

        if (!User::isPasswordResetTokenValid($user->password_reset_token)) {
            $userarr->generatePasswordResetToken();
        }

        if (!$userarr->save()) {
            $response['status'] = "0";
            $response['message'] = "some error";
            echo json_encode($response, JSON_PRETTY_PRINT);
            exit;
        }
        $adminEmail = \Yii::$app->params['adminEmail'];
//        }

        $params['email'] = $userarr->email;
        $params['password_reset_token'] = $userarr->password_reset_token;

        try {
            \Yii::$app->mailer->compose('/user/forgotPasswordFrom', ['params' => $params])
                    ->setFrom([\Yii::$app->params['adminEmail'] => 'Swerve'])
                    ->setTo($user->email)
                    ->setSubject('Reset password')
                    ->send();
        } catch (ErrorException $e) {
//Yii::$app->session->setFlash('error', "Your account is not activated.");
                $response['status'] = "0";
                $response['message'] = "Error in sending mail.";
                echo json_encode($response, JSON_PRETTY_PRINT);
                exit;
        }
            $response['status'] = "0";
            $response['message'] = "Your request was successful. Please check your email for password reset instructions.";
            echo json_encode($response, JSON_PRETTY_PRINT);
            exit;
    }
    
//    public function checkoldpassword($oldpassowrd) {
//        
//        echo $userId = $oldpassowrd->userid;exit;
//        $userPass= (new \yii\db\Query())
//                ->from('user')
//                ->select('password_hash')
//                ->where('id="'.$user_id.'"')
//                ->one();
//        echo $userPass;exit;
//    }
}
