<?php

namespace backend\models;

use Yii;

/**
 * This is the model class for table "country".
 *
 * @property integer $id
 * @property string $name
 * @property string $code
 */
class ContactDetails extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'contactdetails';
    }
    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['address','state','country_id','zipcode','phone','city'], 'required'],
            ['user_id','safe'],
            ['zipcode', 'integer','integerOnly'=>true],
            [['phone'], 'string','min'=>5, 'max' => 10,'message'=>'Should be 10 digit long.(Example: 9012687986)'],
        ];
    }
   
}
