<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\widgets\FileInput;
use yii\helpers\ArrayHelper;

$this->title = 'Add Product';
$this->params['breadcrumbs'][] = ['label' => 'Users', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;

$categories = isset($categories) ? $categories : '';
$categoryList= ArrayHelper::map($categories,'cat_id','cat_name');

?>
<div class="user-create">
    <h3><?= Html::encode($this->title) ?></h3>
    <div class="col-lg-5">
        <?php
        $form = ActiveForm::begin([
                    'options' => ['enctype' => 'multipart/form-data',]]);
        ?>
        <?= $form->field($model, 'name')->textInput(['maxlength' => true]) ?>
        <?= $form->field($model, 'cat_id')->dropDownList($categoryList,['prompt'=>'Please select category']);?>
        <?= $form->field($model, 'description')->textarea(['maxlength' => true]) ?>
        <?= $form->field($model, 'price')->textInput() ?>
       <?= $form->field($model, 'product_thumb')->fileInput() ?>

        <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Add' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
        </div>
<?php ActiveForm::end(); ?>
    </div>
</div>

