<?php

use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\GridView;
use yii\widgets\ActiveForm;
use yii\export\ExportMenu;
use yii\bootstrap\Nav;
use yii\widgets\Pjax;
use \yii\data\Sort;
use yii\jui\DatePicker;
use yii\bootstrap\Modal;


//echo Url::to(['/user/create'],TRUE);
$this->title = 'Products';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="post-index">
    <h3><?= Html::encode($this->title) ?></h3>
    <p>
        <?= Html::a('Add Product', ['create'], ['class' => 'btn btn-success']) ?>
    
        <?= Html::a('Export', ['excel'], ['class' => 'btn btn-success']) ?>
    </p>
       <?=
    GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'layout' => "{items}\n{summary}\n{pager}",
        'emptyCell' => '-',
        'columns' => [
            'id',
            'name',
            'description',
            'price',
            [
            'attribute' => 'cat_id',
            'value' => 'categoryName.cat_name',
            ],
            
            [
                'format' => 'html',
                'label' => 'Product',
                'value' => function ($data) {
                    return Html::img(Yii::getAlias('@commonimg') . '/uploads/products/' . $data['product_thumb'], [
                                'class' => 'profileimg']);
                },
            ],
            [
                'class' => 'yii\grid\ActionColumn',
                'template' => '{view}&nbsp;&nbsp;&nbsp;{update} &nbsp;&nbsp;&nbsp;{delete}',
                
            ],
        ],
    ]);
    ?>
</div>
