<?php

namespace frontend\controllers;

use Yii;
use frontend\models\User;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;
use yii\web\UploadedFile;

class UserController extends Controller
{
    public function behaviors()
    {
        return [
            'verbs' => [
                'class' => VerbFilter::className(),
                'actions' => [
                    'delete' => ['POST'],
                    
                ],
            ],
        ];
    }
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }
   
    public function actionUpdate($id)
    {
        $model = new User();
        $model = $this->findModel($id);
        $oldFile = $model->getProfilePicFile();
        $oldProfilePic = $model->profile_pic;
        if ($model->load(Yii::$app->request->post())) {
            //echo "hi";exit;
            //$model->imageFile = UploadedFile::getInstance($model, 'profile_pic');
            $image = $model->uploadProfilePic(); 
            if($image === false && !empty($oldProfilePic)) {
                $model->profile_pic = $oldProfilePic;
            }
            if($_POST['User']['newPassword'] !== $_POST['User']['newPasswordConfirm'])
            {
               Yii::$app->session->setFlash('error','please enter confirm password');
               return $this->render('update', [
                'model' => $model,
            ]);
            }
            if( ($_POST['User']['newPassword'] == $_POST['User']['newPasswordConfirm']))
            {
                $model->password_hash = Yii::$app->security->generatePasswordHash(($_POST['User']['newPassword']));
            }
            if ($model->save()) {
            if ($image !== false) { 
                if(!empty($oldFile) && file_exists($oldFile)) {
                    unlink($oldFile);
                }
                $path = $model->getProfilePicFile();
                $image->saveAs($path);
            }
             Yii::$app->session->setFlash('success','User Updated Successfully..');
             return $this->redirect(['view', 'id' => $model->id]);
            } 
        }
        else {
            $model->password_hash = '';
            return $this->render('update', [
                'model' => $model,
                
            ]);
        }
    }
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();
        return $this->redirect(['site/index']);
    }
    public function actionProduct() {
        return $this->renderPartial('product', [
        ]);
    }
    protected function findModel($id)
    {
        if (($model = User::findOne($id)) !== null) {
            return $model;
            //echo "<pre>";print_r($model);exit;
        } else {
            throw new NotFoundHttpException('The requested page does not exist.');
        }
    }
}