<?php

namespace frontend\models;
use yii\web\UploadedFile;
use Yii;


class User extends \yii\db\ActiveRecord
{
    
    public static function tableName()
    {
        return 'user';
    }
    //public $password_hash;
    public $newPassword;
    public $newPasswordConfirm;
    public $address;
    
    public function rules()
    {
        return [
            [['username', 'email'], 'required'],
            ['email', 'email'],
            [['birth_date'], 'safe'],
            [['user_type'],'safe'],
            [['newPassword'], 'string', 'min' => 6],
            //[['newPassword'], 'filter', 'filter' => 'trim'],
            //[['newPassword'], 'required', 'on' => ['register', 'reset']],
            //[['newPasswordConfirm'], 'required', 'on' => ['reset']],
            [['newPasswordConfirm'], 'compare', 'compareAttribute' => 'newPassword', 'message' =>'Passwords do not match'],
            ['first_name', 'string', 'max' => 255],
            ['last_name', 'string', 'max' => 255],['gender', 'string', 'max' => 12],
            [['profile_pic'], 'safe'],
            [['profile_pic'], 'file', 'extensions'=>'jpg, gif, png'],
        ];
    }
    public function attributeLabels()
    {
        return [
            'password_hash' => 'Password',
        ];
    }
    //get profile pic
    public function getProfilePicFile()
    {    
        return isset($this->profile_pic) ? Yii::getAlias('@common') . '/uploads/' . $this->profile_pic : null;
    }
    //get profile pic url
    public function getProfilePicUrl()
    {
        $profile_pic = isset($this->profile_pic) ? $this->profile_pic : 'no_image.jpg';
        return Yii::getAlias('@commonimg') . '/uploads/' . $profile_pic;
    }
    //upload updated file profile image
    public function uploadProfilePic() {
   
    $image = UploadedFile::getInstance($this, 'profile_pic');
    if (empty($image)) {
        return false;
    }
    $ext = end((explode(".", $image->name)));
    $this->profile_pic = $image->name;
    return $image;
    }
    
    public function setPassword($password)
    {
        $this->password_hash = Yii::$app->security->generatePasswordHash($password);
    }
    public function generateAuthKey()
    {
        $this->auth_key = Yii::$app->security->generateRandomString();
    }
    public function getId()
    {
        return $this->getPrimaryKey();
    }

    /**
     * @inheritdoc
     */
    public function getAuthKey()
    {
        return $this->auth_key;
    }

    /**
     * @inheritdoc
     */
    public function validateAuthKey($authKey)
    {
        return $this->getAuthKey() === $authKey;
    }


    public function validatePassword($password)
    {
        return Yii::$app->security->validatePassword($password, $this->password_hash);
    }
//    public function validateCurrentPassword()
//    {
//        if (!$this->validatePassword($this->password_hash)) {
//            $this->addError("password_hash", "Current password incorrect");
//        }
//    }
}