<?php

use yii\helpers\Html;
use yii\helpers\Url;
use frontend\models\Cart;
use yii\widgets\ActiveForm;
$cart = new Cart;
$this->title = 'Products';
$this->params['breadcrumbs'][] = ['label' => 'Product', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="country-view">
    <h3><?= Html::encode($this->title) ?></h3>
</div>
<div class="country-view">
    <a class="cartCount" id="cart"><?= count($cart->contents()); ?></a>
    
</div>
<html>
    <head>
        <script>
            function updateCartItem(obj,id) {
                $.ajax({
                url:"<?php echo Url::to(['/cart/update']); ?>",
                data:'&id='+id+'&qty='+obj.value,
                success: function (data) {
                    if(data == 'ok'){
                        //alert(data);
                        location.reload();
                    } else {
                        alert('Cart update failed, please try again.');
                    }
                 }
             });
          }
        </script>
        <script type="text/javascript">
            // To conform clear all data in cart.
            function clear_cart() {
                var result = confirm('Are you sure want to clear all products?');

                if (result) {
                    window.location = "<?php echo Url::to(['/cart/remove'])?>&id=all";
                } else {
                    return false; // cancel button
                }
            }
        </script>
    </head>
    <body>
        <div id='content'>
            <div id="cart" >
                <div id = "heading">
                    <h3 align="center">Products on Your Shopping Cart</h3>
                </div>
                <div id="text"> 
                    <?php
                    $cart_check = $cart->contents();
                    if (empty($cart_check)) {
                        echo 'To add products to your shopping cart click on "Add to Cart" Button';
                    }
                    ?> </div>
                <table class="table" style="width: 100%;">
                    <?php
                    if ($cart = $cart->contents()):
                        ?>
                        <thead>
                            <tr>
                                <th>Serial</th>
                                <th>Name</th>
                                <th>Price</th>
                                <th>Qty</th>
                                <th>Amount</th>
                                <th>Cancel Product</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $form = ActiveForm::begin(['action' => ['cart/update'],]);
                            $grand_total = 0;
                            $i = 1;
                            foreach ($cart as $item):
                            ?>
                            <input type="hidden" id="productname" value="<?php echo ucwords($item['name']); ?>"/>
                            <input type="hidden" name="cart[<?php echo $item['id']; ?>][<?php echo $item['rowid']; ?>]" id="rowid" value="<?php echo $item['rowid']; ?>"/>
                            <input type="hidden" name="cart[<?php echo $item['id']; ?>][<?php echo $item['price']; ?>]" id="price" value="<?php echo $item['price']; ?>"/>
                            <input type="hidden" name="qty" id="qty" value="<?php echo $item['qty']; ?>"/>
                            <input type="hidden" name="id" id="id" value="<?php echo $item['id']; ?>"/>
                            <tr>
                                <td>
                                    <?php echo $i++; ?>
                                </td>
                                <td>
                                    <?php echo $item['name']; ?>
                                </td>
                                <td>
                                    $ <?php echo number_format($item['price'], 2); ?>
                                </td>
                                <td>
                                     <input type="number" class="form-control text-center" value="<?php echo $item["qty"]; ?>" onchange="updateCartItem(this, '<?php echo $item["rowid"]; ?>')">
                                </td>
                                </td>
                                <?php $grand_total = $grand_total + $item['subtotal']; ?>
                                <td>
                                    $ <?php echo number_format($item['subtotal'], 2) ?>
                                </td>
                                <td>
                                    <a href="<?php echo Url::to(['/cart/remove'])?>&id=<?php echo $item["rowid"]; ?>" class="btn btn-danger" onclick="return confirm('Are you sure?')"><i class="glyphicon glyphicon-trash"></i></a>
                                </td>
                            <?php endforeach; ?>
                        </tr>
                        </tbody>
                        <tr>
                            <td><b>Order Total: $<?php echo number_format($grand_total, 2); ?></b>
                            </td>
                            <?php // "clear cart" button call javascript confirmation message   ?>
                            <td colspan="5" align="right"><input type="button" class ='btn btn-warning fg-button teal' value="Clear Cart" onclick="clear_cart()">
                                <?php //submit button.?>
<!--                                <input type="submit" class ='fg-button teal' value="Update Cart">-->
                                <?php ActiveForm::end(); ?>
                                 <td><?= Html::a('Place order'."<i class='glyphicon glyphicon-menu-right'></i> ", ['cart/checkout'], ['class' => 'btn btn-success btn-block']) ?></td>
                        </tr>
                    <?php endif; ?>
                </table>
            </div>
            <div id="products" class="row list-group">
                <h2 id="head" align="center">Products</h2>
                <?php
                foreach ($productArr as $product) {
                    $id = $product['id'];
                    $name = $product['name'];
                    $description = $product['description'];
                    $price = $product['price'];
                    ?>
                    <div class="item  col-xs-3 col-lg-3">
                        <div class="thumbnail">
                            <img class="group list-group-image" src="<?php echo Yii::getAlias('@commonimg') . '/uploads/products/' . $product['product_thumb']; ?>" alt="" />
                        </div>
                        <div id='info_product'>
                            <div id='name'><?php echo $name; ?></div>
                            <div id='desc'>  <?php echo $description; ?></div>
                            <div id='rs'><b>Price</b>:<big style="color:green">
                                    $<?php echo $price; ?></big></div>
                            <?php
                            // Create form and send values in 'shopping/add' function.
                            $form = ActiveForm::begin(['action' => ['cart/add'],]);
                            ?>
                            <input type="hidden" name="id" id="id" value="<?php echo $id; ?>"/>
                            <input type="hidden" name="name" id="name" value="<?php echo $name; ?>"/>
                            <input type="hidden" name="description" id="description" value="<?php echo $description; ?>"/>
                            <input type="hidden" name="price" id="price" value="<?php echo $price; ?>"/>
                        </div> 
                        <div id='add_button'>
                            <input type="submit" class="fg-button teal btn btn-primary" value="Add to Cart" name="action">
                            <?php
                            ActiveForm::end();
                            ?>
                        </div>
                    </div>

                <?php } ?>

            </div>
        </div>
    </body>
</html>
<script src="http://code.jquery.com/jquery-1.11.0.min.js"></script>
<script>
    $(".cartCount").on("click", function () {
        alert(1);
                    var click = $(this).data('clicks');
                   
                        $(".displayNotifications").slideUp();
                    
                        $(".displayNotifications").slideDown(function () {
                        });
                    
                   // $(this).data('clicks', !click); // you have to set it
                });
    </script>