<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\jui\DatePicker;
use yii\widgets\FileInput;
use yii\helpers\ArrayHelper;

$this->title = 'User Contact Details';
$this->params['breadcrumbs'][] = ['label' => 'Contact Details', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
if(!empty($countries)){
    $countryList=ArrayHelper::map($countries,'id','name');
}
?>
<div class="user-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="col-lg-5">
        <?php
        $form = ActiveForm::begin([
                    'options' => ['id' => 'contactdetails',]]);
        ?>
        <?= $form->field($model, 'address')->textarea(['maxlength' => true]) ?>
        <?= $form->field($model, 'country_id')->dropDownList($countryList,['prompt'=>'Please select country']);?>
        <?= $form->field($model, 'state')->textInput() ?>
        <?= $form->field($model, 'city')->textInput() ?>
        <?= $form->field($model, 'zipcode')->textInput() ?>
        <?= $form->field($model, 'phone')->textInput() ?>
        <?= Html::activeHiddenInput($model, 'user_id', ['value' => Yii::$app->user->identity->id]) ?>
        
        <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Add' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary']) ?>
        </div>
<?php ActiveForm::end(); ?>
    </div>
</div>
