<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;
use yii\jui\DatePicker;
use yii\widgets\FileInput;

$user_type = ['admin'=>'Admin', 'customer'=>'Customer'];

$this->title = 'Update User Profile: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Users', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>

<div class="col-lg-5">
    <h1><?= Html::encode($this->title) ?></h1>

   <?php $form = ActiveForm::begin([
    'options'=>['enctype'=>'multipart/form-data']]); ?>

    <?= $form->field($model, 'first_name')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'last_name')->textInput(['maxlength' => true]) ?>
    <?= $form->field($model, 'username')->textInput() ?>
    <?= $form->field($model, 'newPassword')->passwordInput(); ?>  
    <?= $form->field($model, 'newPasswordConfirm')->passwordInput(); ?>  
    <?= $form->field($model, 'email') ?>
    <?= $form->field($model, 'gender')->radioList(array('male' => 'Male', 'female' =>'Female'), array('class' => 'i-checks')); ?>
   <?= $form->field($model, 'birth_date')->widget(DatePicker::className(),['dateFormat' => 'php:Y-m-d'])->textInput() ?>
    <?= $form->field($model, 'profile_pic')->fileInput() ?>
    <?= Html::img($model->getProfilePicUrl('profile_pic'), ['class' => 'img-thumbnail profilepic']) ?>
    <div class="form-group">
        <?= Html::submitButton($model->isNewRecord ? 'Add' : 'Update', ['class' => $model->isNewRecord ? 'btn btn-success' : 'btn btn-primary ']) ?>
    </div>
    <?php ActiveForm::end(); ?>
</div>
